{
  "name": "haushaltsApp",
  "private": true,
  "workspaces": {
    "packages": [
      "apps/*",
      "packages/*"
    ],
    "catalog": {
      "dotenv": "^17.2.2",
      "zod": "^4.1.13",
      "@types/bun": "^1.3.4",
      "better-auth": "1.5.2",
      "lucide-react": "^0.546.0",
      "next-themes": "^0.4.6",
      "sonner": "^2.0.5",
      "@tanstack/react-form": "^1.28.0",
      "@types/react-dom": "^19.2.3",
      "tailwindcss": "^4.1.18",
      "@better-auth/expo": "1.5.2"
    }
  },
  "type": "module",
  "scripts": {
    "dev": "turbo dev",
    "build": "turbo build",
    "check-types": "turbo check-types",
    "test:api": "cd apps/server && bun test ./src/__tests__",
    "test:mobile": "bun test apps/native/src/__tests__",
    "dev:native": "turbo -F native dev",
    "dev:web": "turbo -F web dev",
    "dev:server": "turbo -F server dev",
    "db:push": "turbo -F @haushaltsApp/db db:push",
    "db:studio": "turbo -F @haushaltsApp/db db:studio",
    "db:generate": "turbo -F @haushaltsApp/db db:generate",
    "db:migrate": "turbo -F @haushaltsApp/db db:migrate",
    "db:start": "turbo -F @haushaltsApp/db db:start",
    "db:watch": "turbo -F @haushaltsApp/db db:watch",
    "db:stop": "turbo -F @haushaltsApp/db db:stop",
    "db:down": "turbo -F @haushaltsApp/db db:down"
  },
  "dependencies": {
    "@haushaltsApp/env": "workspace:*",
    "dotenv": "catalog:",
    "zod": "catalog:"
  },
  "devDependencies": {
    "@haushaltsApp/config": "workspace:*",
    "@types/bun": "catalog:",
    "turbo": "^2.8.12",
    "typescript": "^5"
  },
  "packageManager": "bun@1.3.1"
}
